summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-05-24 18:31:14 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2020-05-24 18:31:14 +0100
commitc2f250c9b03215c7993a1c47ef008d14a02bd871 (patch)
treef30b81ef58772d4558dc7a8b698d52c9effde9ec /dev-scheme
parentdev-vcs/cvs-fast-export: bump up to 1.55 (diff)
downloadgentoo-c2f250c9b03215c7993a1c47ef008d14a02bd871.tar.gz
gentoo-c2f250c9b03215c7993a1c47ef008d14a02bd871.tar.bz2
gentoo-c2f250c9b03215c7993a1c47ef008d14a02bd871.zip
dev-scheme/guile-gcrypt: bump up to 0.3.0
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'dev-scheme')
-rw-r--r--dev-scheme/guile-gcrypt/Manifest1
-rw-r--r--dev-scheme/guile-gcrypt/guile-gcrypt-0.3.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-scheme/guile-gcrypt/Manifest b/dev-scheme/guile-gcrypt/Manifest
index c3028c6a0ff..368b6e14d88 100644
--- a/dev-scheme/guile-gcrypt/Manifest
+++ b/dev-scheme/guile-gcrypt/Manifest
@@ -1 +1,2 @@
DIST guile-gcrypt-0.2.1.tar.gz 51129 BLAKE2B adb597bca654ac57b27f18cdd391edacb98e200ce274907494d6e4c7052f3cda093281d8e27e2bab0fbf9b572b17fc9bd90c8a8275d61144c8becadc6d7c8c07 SHA512 c5de73f204f55b337b097ab6205f389c580b2ff825a672f3d042b2d74ca9a8038952d0c656e9def0d441075764cf4c937f648fa8c9bd598fa7efea2b5542559c
+DIST guile-gcrypt-0.3.0.tar.gz 55022 BLAKE2B 20d0948df250637c38a9e583ed9b8e0f4fd6d6142a60b4cceddab9a6a5c3062ffc7a0c8bc61187a1e942a137186ccc6e3cbc44b86d3c64f8cea91c67ae46cb08 SHA512 036017bbf10247bf474f41bb23fa0e824ed17241f169d0b36da5b20753502050bf6b14fa3a584076521e8f076732b75fe3f5e0ec9fb9ffeaf142319a98d36ae9
diff --git a/dev-scheme/guile-gcrypt/guile-gcrypt-0.3.0.ebuild b/dev-scheme/guile-gcrypt/guile-gcrypt-0.3.0.ebuild
new file mode 100644
index 00000000000..3eb4f555d7c
--- /dev/null
+++ b/dev-scheme/guile-gcrypt/guile-gcrypt-0.3.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Guile bindings of libgcrypt"
+HOMEPAGE="https://notabug.org/cwebber/guile-gcrypt"
+SRC_URI="https://notabug.org/cwebber/guile-gcrypt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-scheme/guile-2.0.11:=
+ dev-libs/libgcrypt:0=
+"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${PN}
+
+# guile generates ELF files without use of C or machine code
+# It's a portage's false positive. bug #677600
+QA_FLAGS_IGNORED='.*[.]go'
+
+src_prepare() {
+ default
+
+ # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+ find "${S}" -name "*.scm" -exec touch {} + || die
+
+ # upstream tag on top of source tree. has no autogenerated files
+ eautoreconf
+}